Package org.apache.torque.generator.outlet.java

## Class OptionOutlet

- java.lang.Object
- - org.apache.torque.generator.outlet.OutletImpl
  - - org.apache.torque.generator.outlet.java.OutletWithoutMergepoints
    - - org.apache.torque.generator.outlet.java.OptionOutlet

- All Implemented Interfaces:
    `Outlet`

      public class OptionOutlet
      extends OutletWithoutMergepoints

  Writes an option to the output.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `OptionOutlet​(QualifiedName name)` | Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `OutletResult` | `execute​(ControllerState controllerState)` | Generates the output for this template into the Generated object.
    `void` | `setOption​(String option)` | Sets the name of the option to output.

    - ### Methods inherited from class org.apache.torque.generator.outlet.java.OutletWithoutMergepoints

      `addMergepointMapping, getMergepointMapping`

    - ### Methods inherited from class org.apache.torque.generator.outlet.OutletImpl

      `afterExecute, beforeExecute, getInputClass, getInputElementName, getMergepointMappings, getName, getVariable, mergepoint, setInputClass, setInputElementName, setMergepointMapping, setVariable, setVariable, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### OptionOutlet

          public OptionOutlet​(QualifiedName name)

      Constructor.
      Parameters:
        `name` - the name of the outlet.

  - ### Method Detail

    - #### execute

          public OutletResult execute​(ControllerState controllerState)
                               throws GeneratorException

      Description copied from interface: `Outlet`
      Generates the output for this template into the Generated object.
      Specified by:
        `execute` in interface `Outlet`
      Specified by:
        `execute` in class `OutletImpl`
      Parameters:
        `controllerState` - the current controller state, not null.
      Returns:
        the output of the Outlet.
      Throws:
        `GeneratorException` - if generation fails.

    - #### setOption

          public void setOption​(String option)

      Sets the name of the option to output.
      Parameters:
        `option` - the name of the option.